commit:     1c84a9f1ec425bfda66506d93eb64f0535f101aa
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Mon May 20 07:55:23 2024 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Mon May 20 08:45:30 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1c84a9f1

dev-qt/qtspeech: add 6.7.1

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 dev-qt/qtspeech/Manifest              |  1 +
 dev-qt/qtspeech/qtspeech-6.7.1.ebuild | 44 +++++++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-qt/qtspeech/Manifest b/dev-qt/qtspeech/Manifest
index 55bb3673d17f..fababf233a56 100644
--- a/dev-qt/qtspeech/Manifest
+++ b/dev-qt/qtspeech/Manifest
@@ -1,3 +1,4 @@
 DIST qtspeech-5.15.13-gentoo-kde-1.tar.xz 1048 BLAKE2B 
93b16166dd8fd83eb9d7ce84cd3fff2dd330cc4060327e107b12a084aa47b7dc2d237bbf0852d207d2b4fbe9a5688d0236ebc5e7c1e6a42da84fd92fbd912050
 SHA512 
8eb6b865663b9fb837e88f859c1f407c4fab5d0976630e29bb0c3f2e2d01f225f3a614cba6c20495c56429d37427c75e314194d0c74c69296ab3e5df128290c6
 DIST qtspeech-everywhere-opensource-src-5.15.13.tar.xz 104612 BLAKE2B 
3c35098f0d4f4b4f804808f3d11abc0c0d189e3883cb1d15ea9b350948e061125299df1207ad44ed7af207c417980b0360ab6b44733efbbe7e5bdac6fe2402b5
 SHA512 
43b97ddc333d1c4a9715b1c306ced0506eb8faf69f1d22500b74e509d33b5a5cb9d0c166b9211a32a78eaba57925195d8ba0c39c8ae6a15551f841426294c75f
 DIST qtspeech-everywhere-src-6.7.0.tar.xz 261732 BLAKE2B 
a7e99c3c9efdaa7aa5d44537b9aaaed87af0607daa6b6ab21d602594081f5bcc5ead4da9eebbee15a7cc735a36e80cfa312452f2cdfa5ce4136bd0c06797eba2
 SHA512 
10d086633da8cc478619023baa4d2495bb394aa30e7ba7141b0e698ade5a4a723f5643a5df64e9920b90251e89722598b7d5b720d7b8d3a04449e94fd5984f82
+DIST qtspeech-everywhere-src-6.7.1.tar.xz 261772 BLAKE2B 
a776930705b7ad7a127997d35046c0101a8c40111b5cec50779944b2db9aaff8ddce3d0d7a25152d4a13360a5c30c2b9993fe17ff931180ecb32845de90be7b3
 SHA512 
b97fc36601c77e9c594077e15be658f6307a2d89cc1c23594143827eb92b72182a671e418e3f83d3e072465068546d626a4cfc09ee03738f8c5a244984587b67

diff --git a/dev-qt/qtspeech/qtspeech-6.7.1.ebuild 
b/dev-qt/qtspeech/qtspeech-6.7.1.ebuild
new file mode 100644
index 000000000000..c012be997560
--- /dev/null
+++ b/dev-qt/qtspeech/qtspeech-6.7.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# tests are kind of flaky, sometimes hang, and also fail with clang
+# (not that it's unusable with clang) -- may be worth revisiting
+# eventually given qtspeech is still somewhat new (added in 6.4.0)
+QT6_RESTRICT_TESTS=1
+
+inherit qt6-build
+
+DESCRIPTION="Text-to-speech library for the Qt6 framework"
+
+if [[ ${QT6_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~loong ~riscv ~x86"
+fi
+
+IUSE="flite qml +speechd"
+# can build with neither, but then it is just mock tts and may be confusing
+REQUIRED_USE="|| ( flite speechd )"
+
+RDEPEND="
+       ~dev-qt/qtbase-${PV}:6
+       ~dev-qt/qtmultimedia-${PV}:6
+       flite? ( app-accessibility/flite )
+       qml? ( ~dev-qt/qtdeclarative-${PV}:6 )
+       speechd? ( app-accessibility/speech-dispatcher )
+"
+DEPEND="${RDEPEND}"
+
+src_configure() {
+       local mycmakeargs=(
+               $(cmake_use_find_package qml Qt6Qml)
+               $(qt_feature flite)
+               $(qt_feature speechd)
+
+               # flite_alsa was likely to work around old issues in flite, it 
does
+               # nothing but add -lasound (no code change, and is unneeded)
+               -DQT_FEATURE_flite_alsa=OFF
+       )
+
+       qt6-build_src_configure
+}

Reply via email to